<div *ngIf="haveEvaluation | async">
    <div class="info">
        <h2>Avaliação Física</h2>

        <p class="other-info">
            <mat-icon>subject</mat-icon>

            <b>Descrição:</b>&nbsp;{{ evaluation.description }}
        </p>
    </div>

    <div class="values-container">
        <div class="title-section">
            <h3>Valores Registadas</h3>
        </div>

        <div class="legend">
            <span class="name">Medida</span>
            <span class="value">Valor</span>
            <span class="unit">Unidade</span>
        </div>

        <div class="values">
            <app-metric-row
                [value]="evaluation.height"
                name="Altura"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.weight"
                name="Peso"
                unit="kg"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.imc"
                name="IMC"
                unit="kg/m2"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.body_water"
                name="Água"
                unit="%"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.body_fat"
                name="Massa Gorda"
                unit="%"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.muscle_mass"
                name="Massa Muscular"
                unit="%"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.left_bicep_size || '--'"
                name="Bícep Esquerdo"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.right_bice_size || '--'"
                name="Bícep Direito"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.chest_size || '--'"
                name="Peito"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.waist_size || '--'"
                name="Cíntura"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.glute_size || '--'"
                name="Glúteo"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.hip_size || '--'"
                name="Quadril"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.thigh_size || '--'"
                name="Coxa"
                unit="cm"
            ></app-metric-row>
            <app-metric-row
                [value]="evaluation.calfs_size || '--'"
                name="Gémios"
                unit="cm"
            ></app-metric-row>
        </div>
    </div>
</div>
